at.chipkarte.client.elgaad.soap

## Class Protokolleintrag

- Object
- - at.chipkarte.client.elgaad.soap.Protokolleintrag

-     public class Protokolleintrag
      extends Object

  Protokolldaten zu einer erfolgreich durchgeführten Transaktion über das ELGAAD-Service.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Protokolleintrag()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ElgaBenutzer` | `getElgaBenutzer()` Daten der natürlichen Person die die Transaktion durchgeführt hat.
    `Integer` | `getoCardLaufnummer()` Laufnummer der Ordinationskarte die für den Aufbau des Dialoges verwendet wurde, der für die Transaktion verwendet wurde.
    `Ordination` | `getOrdination()` Ordinationsadressdaten der zum Zeitpunkt der Transaktion angemeldeten Ordination.
    `String` | `getSvNummer()` SV-Nummer des Patienten für den die Transaktion durchgeführt wurde.
    `String` | `getTaetigkeitsBereichAnzeigetext()` Anzeigetext zur oben angeführten TätigkeitsbereichsId.
    `String` | `getTaetigkeitsBereichId()` TätigkeitsbereichId des zum Zeitpunkt der Transaktion angemeldeten Tätigkeitsbereichs.
    `String` | `getTransaktionsname()` Name der Transaktion.
    `String` | `getTransaktionsnummer()` Eindeutige Transaktionsnummer.
    `String` | `getTransaktionszeitpunkt()` Zeitpunkt der Transaktion.
    `String` | `getVpNummer()` Vertragspartnernummer des Vertragspartners der die Transaktion durchgeführt hat.
    `void` | `setElgaBenutzer(ElgaBenutzer elgaBenutzer)`
    `void` | `setoCardLaufnummer(Integer oCardLaufnummer)`
    `void` | `setOrdination(Ordination ordination)`
    `void` | `setSvNummer(String svNummer)`
    `void` | `setTaetigkeitsBereichAnzeigetext(String taetigkeitsBereichAnzeigetext)`
    `void` | `setTaetigkeitsBereichId(String taetigkeitsBereichId)`
    `void` | `setTransaktionsname(String transaktionsname)`
    `void` | `setTransaktionsnummer(String transaktionsnummer)`
    `void` | `setTransaktionszeitpunkt(String transaktionszeitpunkt)`
    `void` | `setVpNummer(String vpNummer)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Protokolleintrag

          public Protokolleintrag()

  - ### Method Detail

    - #### getVpNummer

          public String getVpNummer()

      Vertragspartnernummer des Vertragspartners der die Transaktion durchgeführt hat.
      Format: numerisch, 6 stellig. Angabe: Muss
      Returns:
        VpNummer.

    - #### getTaetigkeitsBereichId

          public String getTaetigkeitsBereichId()

      TätigkeitsbereichId des zum Zeitpunkt der Transaktion angemeldeten Tätigkeitsbereichs.
      Format: numerisch, maximal 19-stellig Angabe: Muss
      Returns:
        TätigkeitsBereichId.

    - #### getTaetigkeitsBereichAnzeigetext

          public String getTaetigkeitsBereichAnzeigetext()

      Anzeigetext zur oben angeführten TätigkeitsbereichsId. Format: max. 45 stellig. Angabe: Muss
      Returns:
        Anzeigetext TätigkeitsBereich.

    - #### getOrdination

          public Ordination getOrdination()

      Ordinationsadressdaten der zum Zeitpunkt der Transaktion angemeldeten Ordination. (Siehe `Ordination`.
      Angabe: Muss
      Returns:
        Ordinationsadressdaten.

    - #### getoCardLaufnummer

          public Integer getoCardLaufnummer()

      Laufnummer der Ordinationskarte die für den Aufbau des Dialoges verwendet wurde, der für die Transaktion verwendet wurde.
      Format: Integer Angabe: Kann.
      Returns:
        Laufnummer der o-card.

    - #### getElgaBenutzer

          public ElgaBenutzer getElgaBenutzer()

      Daten der natürlichen Person die die Transaktion durchgeführt hat. (Siehe `ElgaBenutzer`).
      Angabe: Kann.
      Returns:
        Elga-Benutzer.

    - #### getSvNummer

          public String getSvNummer()

      SV-Nummer des Patienten für den die Transaktion durchgeführt wurde.
      Format: numerisch, 10 stellig
      Angabe: Kann
      Returns:
        SV-Nummer.

    - #### getTransaktionsname

          public String getTransaktionsname()

      Name der Transaktion.
      Format: alphanumerisch, max. 255 stellig
      Angabe: Muss
      Returns:
        Transaktionsname.

    - #### getTransaktionsnummer

          public String getTransaktionsnummer()

      Eindeutige Transaktionsnummer.
      Format: alphanumerisch, max. 255 stellig
      Angabe: Muss
      Returns:
        Transaktionsnummer.

    - #### getTransaktionszeitpunkt

          public String getTransaktionszeitpunkt()

      Zeitpunkt der Transaktion.
      Format: 19 stellig im Format `TT.MM.JJJJ hh:mm:ss`
      Angabe: Muss
      Returns:
        Transaktionszeitpunkt.

    - #### setVpNummer

          public void setVpNummer(String vpNummer)

    - #### setTaetigkeitsBereichId

          public void setTaetigkeitsBereichId(String taetigkeitsBereichId)

    - #### setTaetigkeitsBereichAnzeigetext

          public void setTaetigkeitsBereichAnzeigetext(String taetigkeitsBereichAnzeigetext)

    - #### setOrdination

          public void setOrdination(Ordination ordination)

    - #### setoCardLaufnummer

          public void setoCardLaufnummer(Integer oCardLaufnummer)

    - #### setElgaBenutzer

          public void setElgaBenutzer(ElgaBenutzer elgaBenutzer)

    - #### setSvNummer

          public void setSvNummer(String svNummer)

    - #### setTransaktionsname

          public void setTransaktionsname(String transaktionsname)

    - #### setTransaktionsnummer

          public void setTransaktionsnummer(String transaktionsnummer)

    - #### setTransaktionszeitpunkt

          public void setTransaktionszeitpunkt(String transaktionszeitpunkt)